org.apache.poi.xdgf.usermodel

## Class XDGFRelation

- java.lang.Object
- - org.apache.poi.ooxml.POIXMLRelation
  - - org.apache.poi.xdgf.usermodel.XDGFRelation

-     public class XDGFRelation
      extends POIXMLRelation

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.poi.ooxml.POIXMLRelation

      `POIXMLRelation.NoArgConstructor, POIXMLRelation.PackagePartConstructor, POIXMLRelation.ParentPartConstructor`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static XDGFRelation` | `DOCUMENT`
    `static XDGFRelation` | `IMAGES`
    `static XDGFRelation` | `MASTER`
    `static XDGFRelation` | `MASTERS`
    `static XDGFRelation` | `PAGE`
    `static XDGFRelation` | `PAGES`
    `static XDGFRelation` | `WINDOW`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static XDGFRelation` | `getInstance(java.lang.String rel)` Get POIXMLRelation by relation type

    - ### Methods inherited from class org.apache.poi.ooxml.POIXMLRelation

      `getContents, getContentType, getDefaultFileName, getFileName, getFileNameIndex, getNoArgConstructor, getPackagePartConstructor, getParentPartConstructor, getRelation`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### DOCUMENT

          public static final XDGFRelation DOCUMENT

    - #### MASTERS

          public static final XDGFRelation MASTERS

    - #### MASTER

          public static final XDGFRelation MASTER

    - #### IMAGES

          public static final XDGFRelation IMAGES

    - #### PAGES

          public static final XDGFRelation PAGES

    - #### PAGE

          public static final XDGFRelation PAGE

    - #### WINDOW

          public static final XDGFRelation WINDOW

  - ### Method Detail

    - #### getInstance

          public static XDGFRelation getInstance(java.lang.String rel)

      Get POIXMLRelation by relation type
      Parameters:
        `rel` - relation type, for example, `http://schemas.openxmlformats.org/officeDocument/2006/relationships/image`
      Returns:
        registered POIXMLRelation or null if not found

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.